For Developers

There is a separate mailing list to discuss development ideas and issues.

For developers the best way to use PsychoPy is to install a version to your own copy of python (preferably 3.6 but we try to support a reasonable range). Make sure you have all the dependencies, including the extra suggestedPackages for developers.

Don’t install PsychoPy. Instead fetch a copy of the git repository and add this to the python path using a .pth file. Other users of the computer might have their own standalone versions installed without your repository version touching them.

Happy Coding Folks!!


Back to top